package ink.wgink.interfaces.role;

import ink.wgink.pojo.dtos.department.DepartmentUserDTO;

import java.util.List;

/**
 * @ClassName: IRoleDepartmentUserBaseService
 * @Description: 角色部门用户
 * @Author: wanggeng
 * @Date: 2021/11/3 4:11 下午
 * @Version: 1.0
 */
public interface IRoleDepartmentUserBaseService {


    /**
     * 获取指定地区下所有部门中指定角色的用户列表
     *
     * @param roleId   通过角色ID
     * @param areaCode 地区编码
     * @return
     */
    List<DepartmentUserDTO> listUserByRoleIdAndAreaCode(String roleId, String areaCode);

    /**
     * 获取指定部门中指定角色的用户列表接口
     *
     * @param departmentId 部门ID
     * @param roleId       角色ID
     * @return
     */
    List<DepartmentUserDTO> listUserByDepartmentIdAndRoleId(String departmentId, String roleId);

}
